schema: 1

bugzilla:
  product: Core
  component: "Graphics: ImageLib"

origin:
  name: libjxl
  description: JPEG XL image format reference implementation

  url: https://github.com/libjxl/libjxl

  release: v0.11.1 (2024-11-26T14:02:35+01:00).

  revision: v0.11.1

  license: Apache-2.0

  license-file: LICENSE

updatebot:
    maintainer-phab: saschanaz
    maintainer-bz: krosylight@mozilla.com
    tasks:
      - type: vendoring
        enabled: True
        frequency: release

vendoring:
  url: https://github.com/libjxl/libjxl
  source-hosting: github
  tracking: tag
  vendor-directory: third_party/jpeg-xl

  exclude:
    - doc
    - third_party/testdata
    - tools
    - lib/lib.gni # Symlink is not permitted in mozilla-central
